#!/bin/bash

#set -x
# written to mimic the Windows version
if [ $# -ge 1 ]; then
	if [ "$1" == "i" ]; then
		prog="qaucli -pr nic -svmtool mode=inventory"
		filenm="qlogfwinvntry.xml"
	elif [ "$1" == "p" ]; then
		mode="p"
		prog="qaucli -pr nic -svmtool mode=update fwup=p3p11047.bin"
		filenm="qlogfwprgmr.xml"
	fi
	fileprint="output=$filenm"
	force=""
	if [ $# -eq 2 ]; then
		if [ "$2" == "print" ]; then fileprint="output=stdout"; fi
		if [ "$2" == "file" ]; then fileprint="output=$filenm"; fi
		if [ "$2" == "force" ]; then force=""; fi
	fi
	if [ $# -eq 3 ]; then
		if [ "$2" == "print" ]; then fileprint="output=stdout"; fi
		if [ "$2" == "file" ]; then fileprint="output=$filenm"; fi
		if [ "$3" == "force" ]; then force=""; fi
	fi
else
 	prog="qaucli -pr nic -svmtool mode=inventory output=qlogfwinvntry.xml"
	fileprint=""
	force=""
fi

function ostype() {
	if [ -f /etc/vmware-release ]; then
		echo esx
	else
		local str="$(uname -m)"
		case "$str" in
			i[356]86)	echo 32
					;;
			x86_64)		echo 64
					;;
			*)		echo unsupported
					;;
		esac
	fi
}

os="$(ostype)"
[ "$os" == "unsupported" ] && exit 1
cp -fr $os/* ./
./$prog $fileprint $force
ret=$?

if [ $ret == 0 -a "$mode" ==  "p" ]; then ./UpdRollBack; fi
exit $ret

